Name:               ksystemlog
Version:            0.3.2
Release:            %mkrel 5
Summary:            System log viewer tool for KDE 3.3.x
Source0:            http://annivernet.free.fr/ksystemlog/archives/src/%{name}-%{version}.tar.bz2
Group:              Monitoring 
License:            GPL
Url:                http://annivernet.free.fr/ksystemlog/
BuildRoot:          %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:      qt3-devel
BuildRequires:      kdelibs-devel

Requires:          kdebase >= 3.3

%description
This program is developed for being used by beginner users, 
which don't know how to find information about their Linux system, 
and how the log files are in their computer.
But it is also designed for advanced users, 
who want to quickly see problems occuring on their server.

KSystemLog has the following features :

- View all the main log of your system, by selecting them 
 directly in a menu
- Auto display new lines logged in bold
- Tabbed view to allow displaying several logs at the same time
- Saving in a file and copying to clipboard the selected log 
  lines are also implemented (and email to your friends)
- It can parse the following log files of your system :

- X.org (or Xfree) logs
- System logs (using the Syslog parser of KSystemLog)
- Kernel logs
- Daemons logs
- Cron logs
- Boot logs
- Authentication logs
- Cups logs
- ACPID logs


%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x --disable-rpath --with-qt-dir=%{qt3dir} --with-qt-includes=%{qt3include} \
	--with-qt-libraries=%{qt3lib}
%make

%install

rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

install -m644 ksystemlog/src/hi16-app-ksystemlog.png -D %{buildroot}/%_miconsdir/%{name}.png
install -m644 ksystemlog/src/hi32-app-ksystemlog.png -D %{buildroot}/%_iconsdir/%{name}.png
install -m644 ksystemlog/src/hi48-app-ksystemlog.png -D %{buildroot}/%_liconsdir/%{name}.png

desktop-file-install --vendor='' --delete-original \
	--remove-key='Encoding' \
	--add-category='Qt;KDE;System' \
	--dir=%buildroot%_datadir/applications/kde \
	%buildroot%_datadir/applnk/Utilities/ksystemlog.desktop

mkdir -p %{buildroot}/%{_menudir}

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%update_icon_cache hicolor

%postun
%clean_menus
%clean_icon_cache hicolor


%files -f %name.lang 
%defattr(-,root,root)
%{_bindir}/ksystemlog
%{_datadir}/apps/%{name}
%{_datadir}/config.kcfg/ksystemlog.kcfg

%{_datadir}/applications/kde/ksystemlog.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3.2-5mdv2008.1
+ Revision: 170935
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Sep 07 2007 Funda Wang <fundawang@mandriva.org> 0.3.2-4mdv2008.0
+ Revision: 82102
- drop old menu
- use standard menu location
- use hicolor icon theme


* Mon Jun 19 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.2-3mdv2007.0
- Rebuild against new menu

* Wed Jul 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.2-2mdk
- Drop patch 0 ( Merged Upstream )
- Fix permission on tar.bz2

* Wed Jul 20 2005 Laurent MONTEL <lmontel@mandriva.com> 0.3.2-1
- 0.3.2

* Wed Jun 22 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.1-2mdk
- 0.3.1
- Fix %%changelog

* Mon Jun 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.0-1mdk
- 0.3.0

* Tue May 24 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.2-2mdk
- Fix Requires as it doesn't compile yet on kde 3.2

* Mon May 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.2-1mdk
- 0.2.2
         0.2.2 Fixes :
              - Really compile now on KDE 3.3 (and I hope 3.2)
- Fix Requires

* Mon May 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.1-2mdk
- Fix Menu entry

* Mon May 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.1-1mdk
- First Mandriva release:
                - French translation updated
                - KSystemLog compiles now on KDE 3.3 (and I hope 3.2 ;-)

